Index: branches/UKMO/r5518_INGV1_WAVE-coupling/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90
===================================================================
--- branches/UKMO/r5518_INGV1_WAVE-coupling/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 7151)
+++ branches/UKMO/r5518_INGV1_WAVE-coupling/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 7152)
@@ -6,6 +6,7 @@
    !! History :  8.0  ! 1997-06  (G. Madec)  Original code from inimix
    !!            1.0  ! 2002-08  (G. Madec)  F90 : free form
-   !!             -   ! 2005-06  (C. Ethe) KPP parameterization
+   !!             -   ! 2005-06  (C. Ethe) KPP scheme
    !!             -   ! 2009-07  (G. Madec) add avmb, avtb in restart for cen2 advection
+   !!            3.7  ! 2014-12  (G. Madec) remove KPP scheme
    !!----------------------------------------------------------------------
 
@@ -14,19 +15,17 @@
    !!----------------------------------------------------------------------
    USE par_oce         ! mesh and scale factors
-   USE ldftra_oce      ! ocean active tracers: lateral physics
-   USE ldfdyn_oce      ! ocean dynamics lateral physics
    USE zdf_oce         ! TKE vertical mixing          
-   USE lib_mpp         ! distribued memory computing
+   USE sbc_oce         ! surface module (only for nn_isf in the option compatibility test)
    USE zdftke          ! TKE vertical mixing
    USE zdfgls          ! GLS vertical mixing
-   USE zdfkpp          ! KPP vertical mixing          
+   USE zdfric          ! Richardson vertical mixing   
    USE zdfddm          ! double diffusion mixing      
    USE zdfevd          ! enhanced vertical diffusion  
-   USE zdfric          ! Richardson vertical mixing   
    USE tranpc          ! convection: non penetrative adjustment
    USE ldfslp          ! iso-neutral slopes
-
+   !
    USE in_out_manager  ! I/O manager
    USE iom             ! IOM library
+   USE lib_mpp         ! distribued memory computing
 
    IMPLICIT NONE
@@ -50,10 +49,9 @@
       !! ** Method  :   Read namelist namzdf, control logicals 
       !!----------------------------------------------------------------------
-      INTEGER ::   ioptio       ! temporary scalar
-      INTEGER ::   ios
+      INTEGER ::   ioptio, ios       ! local integers
       !!
-      NAMELIST/namzdf/ rn_avm0, rn_avt0, nn_avb, nn_havtb, ln_zdfexp, nn_zdfexp,  & 
-         &        ln_zdfevd, nn_evdm, rn_avevd, ln_zdfnpc, nn_npc, nn_npcp,       & 
-         &        ln_zdfqiao 
+      NAMELIST/namzdf/ rn_avm0, rn_avt0, nn_avb, nn_havtb, ln_zdfexp, nn_zdfexp,  &
+         &        ln_zdfevd, nn_evdm, rn_avevd, ln_zdfnpc, nn_npc, nn_npcp,       &
+         &        ln_zdfqiao
       !!----------------------------------------------------------------------
 
@@ -84,5 +82,5 @@
          WRITE(numout,*) '      npc call  frequency                 nn_npc    = ', nn_npc
          WRITE(numout,*) '      npc print frequency                 nn_npcp   = ', nn_npcp
-         WRITE(numout,*) '      Qiao formulation flag ln_zdfqiao=', ln_zdfqiao 
+         WRITE(numout,*) '      Qiao formulation flag               ln_zdfqiao=', ln_zdfqiao
       ENDIF
 
@@ -113,11 +111,7 @@
          ioptio = ioptio+1
       ENDIF
-      IF( lk_zdfkpp ) THEN
-         IF(lwp) WRITE(numout,*) '      KPP dependent eddy coefficients'
-         ioptio = ioptio+1
-      ENDIF
-      IF( ioptio == 0 .OR. ioptio > 1 .AND. .NOT. lk_esopa )   &
+      IF( ioptio == 0 .OR. ioptio > 1 )   &
          &   CALL ctl_stop( ' one and only one vertical diffusion option has to be defined ' )
-      IF( ( lk_zdfric .OR. lk_zdfgls .OR. lk_zdfkpp ) .AND. ln_isfcav )   &
+      IF( ( lk_zdfric .OR. lk_zdfgls ) .AND. ln_isfcav )   &
          &   CALL ctl_stop( ' only zdfcst and zdftke were tested with ice shelves cavities ' )
       !
@@ -145,14 +139,7 @@
          IF(lwp) WRITE(numout,*) '      use the GLS closure scheme'
       ENDIF
-      IF( lk_zdfkpp ) THEN
-         IF(lwp) WRITE(numout,*) '      use the KPP closure scheme'
-         IF(lk_mpp) THEN
-            IF(lwp) WRITE(numout,cform_err)
-            IF(lwp) WRITE(numout,*) 'The KPP scheme is not ready to run in MPI'
-         ENDIF
-      ENDIF
-      IF ( ioptio > 1 .AND. .NOT. lk_esopa )   CALL ctl_stop( ' chose between ln_zdfnpc and ln_zdfevd' )
-      IF( ioptio == 0 .AND. .NOT.( lk_zdftke .OR. lk_zdfgls .OR. lk_zdfkpp ) )           &
-         CALL ctl_stop( ' except for TKE, GLS or KPP physics, a convection scheme is',   &
+      IF ( ioptio > 1 )   CALL ctl_stop( ' chose between ln_zdfnpc and ln_zdfevd' )
+      IF( ioptio == 0 .AND. .NOT.( lk_zdftke .OR. lk_zdfgls ) )           &
+         CALL ctl_stop( ' except for TKE or GLS physics, a convection scheme is',   &
          &              ' required: ln_zdfevd or ln_zdfnpc logicals' )
 
